Bug 20133 - "Hide patron information" feature should not affect all library groups
Summary: "Hide patron information" feature should not affect all library groups
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18403
Blocks: 20157
  Show dependency treegraph
 
Reported: 2018-02-02 17:20 UTC by Jonathan Druart
Modified: 2018-02-16 01:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20133: Add new column library_groups.ft_hide_patron_info (1.96 KB, patch)
2018-02-02 17:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20133: DBIC Schema changes (1.51 KB, patch)
2018-02-02 17:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20133: UI Changes (8.75 KB, patch)
2018-02-02 17:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20133: Enable/disable the "Hide patron information" feature per group of libraries (2.88 KB, patch)
2018-02-02 17:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20133 [QA Followup] - Tweak new 'group features' section (2.87 KB, patch)
2018-02-07 17:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20133: Add new column library_groups.ft_hide_patron_info (2.00 KB, patch)
2018-02-09 11:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20133: Add new column library_groups.ft_hide_patron_info (2.00 KB, patch)
2018-02-09 11:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20133: DBIC Schema changes (1.55 KB, patch)
2018-02-09 11:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20133: UI Changes (8.79 KB, patch)
2018-02-09 11:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20133: Enable/disable the "Hide patron information" feature per group of libraries (2.93 KB, patch)
2018-02-09 11:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20133 [QA Followup] - Tweak new 'group features' section (2.92 KB, patch)
2018-02-09 11:44 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-02-02 17:20:33 UTC
The feature added by bug 18403 should not apply to all library groups. We should add the ability to enable/disable it only for specific hierarchies.
Comment 1 Jonathan Druart 2018-02-02 17:28:19 UTC
Created attachment 71156 [details] [review]
Bug 20133: Add new column library_groups.ft_hide_patron_info
Comment 2 Jonathan Druart 2018-02-02 17:28:22 UTC
Created attachment 71157 [details] [review]
Bug 20133: DBIC Schema changes
Comment 3 Jonathan Druart 2018-02-02 17:28:27 UTC
Created attachment 71158 [details] [review]
Bug 20133: UI Changes

Add a checkbox to enable/disable the feature for given group of
libraries.

Important note: Only the top level node can turn the feature, the idea
is to avoid confusion, ease testing (by limiting the number of cases)
and force libraries to define one tree per feature (Maybe this is wrong,
but maybe good to start)
Comment 4 Jonathan Druart 2018-02-02 17:28:31 UTC
Created attachment 71159 [details] [review]
Bug 20133: Enable/disable the "Hide patron information" feature per group of libraries

In order to control this feature correctly it needs to be enabled for
group of libraries and not for all groups defined in the system.
Groups will be used for different usages and so the feature must not be
enabled by default for all of them.

Test plan:
Retest bug 18403 with the feature turned on/off for a given tree
Comment 5 Kyle M Hall 2018-02-07 17:41:26 UTC
Created attachment 71296 [details] [review]
Bug 20133 [QA Followup] - Tweak new 'group features' section
Comment 6 Kyle M Hall 2018-02-09 11:43:36 UTC
Created attachment 71368 [details] [review]
Bug 20133: Add new column library_groups.ft_hide_patron_info

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2018-02-09 11:44:01 UTC
Created attachment 71369 [details] [review]
Bug 20133: Add new column library_groups.ft_hide_patron_info

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2018-02-09 11:44:07 UTC
Created attachment 71370 [details] [review]
Bug 20133: DBIC Schema changes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2018-02-09 11:44:10 UTC
Created attachment 71371 [details] [review]
Bug 20133: UI Changes

Add a checkbox to enable/disable the feature for given group of
libraries.

Important note: Only the top level node can turn the feature, the idea
is to avoid confusion, ease testing (by limiting the number of cases)
and force libraries to define one tree per feature (Maybe this is wrong,
but maybe good to start)

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2018-02-09 11:44:13 UTC
Created attachment 71372 [details] [review]
Bug 20133: Enable/disable the "Hide patron information" feature per group of libraries

In order to control this feature correctly it needs to be enabled for
group of libraries and not for all groups defined in the system.
Groups will be used for different usages and so the feature must not be
enabled by default for all of them.

Test plan:
Retest bug 18403 with the feature turned on/off for a given tree

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Kyle M Hall 2018-02-09 11:44:15 UTC
Created attachment 71373 [details] [review]
Bug 20133 [QA Followup] - Tweak new 'group features' section

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Jonathan Druart 2018-02-09 21:46:21 UTC
I am going to push this change along with bug 18403.
Comment 13 Jonathan Druart 2018-02-12 18:47:41 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 14 Nick Clemens 2018-02-16 01:40:36 UTC
Awesome work all! Enhancement, not backported to stable.